Hi everyone,
I have built a stand alone application that works with solidworks and it's api.
//I open or start solidworks by using this line
SldWorks swApp;
swApp = (SldWorks)Activator.CreateInstance(Type.GetTypeFromProgID("SldWorks.Application"));
//and than
swApp.Visible =false; // solidworks has to ready to start back side.
//and solidworks starded invisible.
//after that
// I try to open new document that stay in my hard drive and its location for example "c:\temp\part.sldprt" by using this line
int errors = 0;
int warnings = 0;
swApp.OpenDoc6(@"c:\temp\part.sldprt", (int)swDocumentTypes_e.swDocPART, (int)swOpenDocOptions_e.swOpenDocOptions_Silent, "", ref errors, ref warnings);
after this invisible solidworks turn into visible .
I want solidworks should stay invisible. How can i do this.?
Best Regards.